Skip to main content
Platform O&M/Automated O&M/Script Library
PUTScript LibrarySince 5.2.0SynchronousAuth Required

UpdateGuestVmScript

UpdateGuestVmScript

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateguestvmscriptObjectRequired

    updateguestvmscript request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

    • scriptContentString

      Optional. The script content.

    • renderParamsString

      Optional. The custom parameters.

    • platformString

      Optional. The platform.

    • scriptTypeString

      Optional. The script type.

    • scriptTimeoutInteger

      Optional. The timeout period.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/scripts/{uuid}/actions

/zstack/v1/scripts/{uuid}/actions

Operation ID

UpdateGuestVmScript

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/scripts/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateguestvmscript":{"name":"<name>","description":"<description>","scriptContent":"<scriptContent>","renderParams":"<renderParams>","platform":"<platform>","scriptType":"<scriptType>","scriptTimeout":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history